Bug 251823 - php-embedded package packaging errors
php-embedded package packaging errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 19:14 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 08:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-08-11 19:14:22 EDT
Opening a new bug for 2 packaging errors which I discovered today in the new
-embedded package. I"m doing this in a new bug so that it doesn't fall through
the cracks.

First the big error: ldconfig doesn't get run, the following lines should be
added to the spec above %files:

%post embedded -p /sbin/ldconfig
%postun embedded -p /sbin/ldconfig

And then the smaller error, currently php-embedded requires php-common, but that
is not necessary users will provide their own php.ini, and if any using package
needs the extensions provided by php-common this package should require
php-common itself (or even better require the virtual provides for the extensions).
Comment 1 Joe Orton 2007-08-29 08:35:46 EDT
ldconfig invocations added in -9 - thanks!

I think it's sensible for all the SAPI subpackages to require -common so the
common READMEs and license files are pulled in.  It has negligible impact, in
any case - -common is tiny.

Note You need to log in before you can comment on or make changes to this bug.